1. Contacts
  • Public Plans
    • List commercially visible plans
      GET
    • Show one commercially visible plan
      GET
  • Plans Management
    • List all plans including inactive and soft-deleted
      GET
    • Create a plan
      POST
    • Show a plan for administration
      GET
    • Update a plan
      PATCH
  • Billing Webhooks
    • Receive a billing provider webhook
      POST
  • Channel Webhooks
    • Meta webhook verification challenge
      GET
    • Receive Meta messaging events
      POST
    • Receive Telegram bot updates
      POST
    • WhatsApp Business verification challenge
      GET
    • Receive WhatsApp Business messaging events
      POST
    • Receive WhatsApp Web inbound messages
      POST
  • Commerce Webhooks
    • Receive a WooCommerce webhook
      POST
  • Authentication
    • Current workspace and API key
      GET
  • Subscription
    • Current workspace subscription
      GET
    • Initiate subscription checkout
      POST
    • Change subscription plan
      POST
    • Cancel subscription at period end
      POST
    • Resume a scheduled cancellation
      POST
  • Channels
    • List enabled channels
  • Contacts
    • List contacts
      GET
    • Create a contact
      POST
    • View a contact
      GET
    • Update a contact
      PATCH
  • Conversations
    • List conversations
    • View a conversation
  • Messages
    • List conversation messages
    • Send a message
  • Leads
    • List leads
    • Create a lead
    • View a lead
    • Update a lead
  • Knowledge
    • List knowledge base entries
  • Schemas
    • PublicPlan
    • Subscription
    • PublicPlanFeature
    • CheckoutRequest
    • PublicPlanLimit
    • CheckoutResponse
    • PlatformPlan
    • ChangePlanRequest
    • ApiKeyInfo
    • PlatformPlanCreateRequest
    • PlatformPlanUpdateRequest
    • Business
    • WebhookAcceptResponse
    • Channel
    • Error
    • Contact
    • ContactCreateRequest
    • ValidationError
    • ContactUpdateRequest
    • Conversation
    • Message
    • MessageCreateRequest
    • Lead
    • LeadCreateRequest
    • LeadUpdateRequest
    • KnowledgeBaseEntry
  1. Contacts

Update a contact

PATCH
https://api.replyable.ai/v1/contacts/{contact}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200ContactResponse
application/json
Single contact
Bodyapplication/json

🟠401Unauthenticated
🟠403Forbidden
🟠404NotFound
🟠422ValidationError
🟠429TooManyRequests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.replyable.ai/v1/contacts/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "email": "string",
    "phone": "string",
    "company": "string",
    "job_title": "string",
    "type": "string",
    "lifecycle_stage": "string",
    "source": "string",
    "notes": "string"
}'
Response Response Example
200 - Example 1
{
    "data": {
        "id": "string",
        "name": "string",
        "email": "string",
        "phone": "string",
        "company": "string",
        "job_title": "string",
        "type": "string",
        "lifecycle_stage": "string",
        "source": "string",
        "source_channel": "string",
        "notes": "string",
        "lead_id": "string",
        "conversation_id": "string",
        "last_contacted_at": "2019-08-24T14:15:22.123Z",
        "converted_at": "2019-08-24T14:15:22.123Z",
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2026-09-10 10:40:46
Previous
View a contact
Next
List conversations
Built with